curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment_intents \
--header 'x-auth-token: <api-key>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment_intents"
headers = {
"x-client-id": "<x-client-id>",
"x-auth-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-auth-token': '<api-key>'}
};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment_intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>",
"x-client-id: <x-client-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment_intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment_intents")
.header("x-client-id", "<x-client-id>")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment_intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"amount": "22.01",
"available_payment_method_types": null,
"cancel_time": "",
"cancellation_reason": "",
"captured_amount": "0",
"client_secret": "<client-secret>",
"complete_time": "2026-09-02T16:56:35+08:00",
"create_time": "2026-09-02T16:56:07+08:00",
"currency": "SGD",
"customer_id": "",
"description": "Order of 3 item(s)",
"intent_status": "SUCCEEDED",
"latest_payment_attempt": {
"advice_code": "",
"amount": "22.01",
"arn": "",
"attempt_id": "PA2095073282377125888",
"attempt_status": "CAPTURE_REQUESTED",
"auth_code": "",
"authentication_data": {
"cvv_result": "",
"avs_result": "",
"three_ds": {
"eci": "",
"cavv": "",
"three_ds_version": "",
"three_ds_cancellation_reason": "",
"three_ds_authentication_status": "",
"ds_transaction_id": ""
}
},
"complete_time": "2026-09-02T16:56:35+08:00",
"create_time": "2026-09-02T16:56:09+08:00",
"currency": "SGD",
"failure_code": "",
"failure_message": "",
"payment_method": {
"tng": {
"flow": "qrcode",
"is_present": false,
"os_type": ""
},
"type": "tng"
},
"refunded_amount": "0",
"rrn": "",
"update_time": "2026-09-02T16:56:35+08:00"
},
"merchant_order_id": "4f00dd89-369c-45f6-bfff-53ca7fcafdd3",
"metadata": null,
"next_action": {
"display_qr_code": {
"expires_at": "2026-09-02T17:26:07.895+08:00",
"qr_code": "https://global.alipay.com/281002040092tD2a1lerm0chme30E29v5O9M",
"qr_code_url": "https://api-sandbox.uqpaytech.com/api/v2/payment/qr?data=https%3A%2F%2Fglobal.alipay.com%2F281002040092tD2a1lerm0chme30E29v5O9M"
},
"type": "display_qr_code"
},
"payment_intent_id": "PI2095073274575720448",
"return_url": "uqpaysample://payment",
"update_time": "2026-09-02T16:56:35+08:00"
}
],
"total_items": 1303,
"total_pages": 1303
}List all PaymentIntents
List PaymentIntents with pagination. Filter by intent_status and creation time to locate payments, then use a returned payment_intent_id to retrieve one payment in detail.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment_intents \
--header 'x-auth-token: <api-key>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment_intents"
headers = {
"x-client-id": "<x-client-id>",
"x-auth-token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', 'x-auth-token': '<api-key>'}
};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment_intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment_intents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>",
"x-client-id: <x-client-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment_intents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment_intents")
.header("x-client-id", "<x-client-id>")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment_intents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"amount": "22.01",
"available_payment_method_types": null,
"cancel_time": "",
"cancellation_reason": "",
"captured_amount": "0",
"client_secret": "<client-secret>",
"complete_time": "2026-09-02T16:56:35+08:00",
"create_time": "2026-09-02T16:56:07+08:00",
"currency": "SGD",
"customer_id": "",
"description": "Order of 3 item(s)",
"intent_status": "SUCCEEDED",
"latest_payment_attempt": {
"advice_code": "",
"amount": "22.01",
"arn": "",
"attempt_id": "PA2095073282377125888",
"attempt_status": "CAPTURE_REQUESTED",
"auth_code": "",
"authentication_data": {
"cvv_result": "",
"avs_result": "",
"three_ds": {
"eci": "",
"cavv": "",
"three_ds_version": "",
"three_ds_cancellation_reason": "",
"three_ds_authentication_status": "",
"ds_transaction_id": ""
}
},
"complete_time": "2026-09-02T16:56:35+08:00",
"create_time": "2026-09-02T16:56:09+08:00",
"currency": "SGD",
"failure_code": "",
"failure_message": "",
"payment_method": {
"tng": {
"flow": "qrcode",
"is_present": false,
"os_type": ""
},
"type": "tng"
},
"refunded_amount": "0",
"rrn": "",
"update_time": "2026-09-02T16:56:35+08:00"
},
"merchant_order_id": "4f00dd89-369c-45f6-bfff-53ca7fcafdd3",
"metadata": null,
"next_action": {
"display_qr_code": {
"expires_at": "2026-09-02T17:26:07.895+08:00",
"qr_code": "https://global.alipay.com/281002040092tD2a1lerm0chme30E29v5O9M",
"qr_code_url": "https://api-sandbox.uqpaytech.com/api/v2/payment/qr?data=https%3A%2F%2Fglobal.alipay.com%2F281002040092tD2a1lerm0chme30E29v5O9M"
},
"type": "display_qr_code"
},
"payment_intent_id": "PI2095073274575720448",
"return_url": "uqpaysample://payment",
"update_time": "2026-09-02T16:56:35+08:00"
}
],
"total_items": 1303,
"total_pages": 1303
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
The API client id generated by UQPAY
Query Parameters
The maximum number of items to return per page. This number can be between 1 - 100
1 <= x <= 10010
The page number to retrieve. Page numbering starts at 1.
x >= 11
Status of the PaymentIntent. Status of this PaymentIntent.
REQUIRES_PAYMENT_METHOD: The PaymentIntent is waiting for the confirm request.REQUIRES_CUSTOMER_ACTION: The PaymentIntent is waiting for further customer action of authentication, e.g. 3DS verification and QR code scan. Please check thenext_action.REQUIRES_CAPTURE: The PaymentIntent is waiting for your capture to complete the payment.PENDING: The PaymentIntent is pending the final result from the provider. No further action is required.SUCCEEDED: The PaymentIntent has succeeded. The payment is complete.CANCELLED: The PaymentIntent has been canceled by your request. The payment is closed.FAILED: The PaymentIntent has failed.PARTIALLY_CAPTURED: A partially captured authorization has an outstanding balance; do not submit another capture.EXPIRED: The pre-authorization expired and was released.
PARTIALLY_CAPTURED, EXPIRED, REQUIRES_PAYMENT_METHOD, REQUIRES_CUSTOMER_ACTION, REQUIRES_CAPTURE, PENDING, SUCCEEDED, CANCELLED, FAILED "SUCCEEDED"
Exclusive start time used to filter by create_time. ISO 8601 format.
"2024-03-01T00:00:00+08:00"
Exclusive end time used to filter by create_time. ISO 8601 format.
"2024-03-02T00:00:00+08:00"

